Name:           mylyn-wikitext
Version:        3.0.38
Release:        1%{?dist}
Summary:        Eclipse Mylyn WikiText

License:        EPL-2.0
URL:            https://projects.eclipse.org/projects/mylyn.docs
Source0:        https://git.eclipse.org/c/mylyn/org.eclipse.mylyn.docs.git/snapshot/org.eclipse.mylyn.docs-wikitext.core-%{version}.tar.xz

# Accomodate for latest API changes in jsoup
Patch0: 0001-Port-to-latest-version-of-jsoup.patch

BuildArch: noarch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.ant:ant)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.jsoup:jsoup)

%description
Mylyn WikiText provides an extensible framework and tools for parsing,
editing and presenting lightweight markup. WikiText has parsers for AsciiDoc,
CommonMark, Markdown, MediaWiki, Textile, Confluence, Creole, HTML, TracWiki
and TWiki markup, and can be extended to support other languages.

%package maven
Summary: Maven plug-in for %{name}

%description maven
%{summary}.

%package javadoc
Summary: API documentation for %{name}

%description javadoc
%{summary}.

%prep
%setup -q -n org.eclipse.mylyn.docs-wikitext.core-%{version}
%patch0 -p1

# Remove stuff not relevant for downstream RPM builds
%pom_remove_plugin :maven-source-plugin wikitext/core
%pom_remove_plugin :maven-deploy-plugin wikitext/core
%pom_remove_plugin :maven-release-plugin wikitext/core
%pom_disable_module repository wikitext/core

# Not building UI or Eclipse features
%pom_disable_module ui-pom.xml wikitext

%mvn_package :*maven* maven

%build
%mvn_build -f -- -f wikitext/pom.xml -Dguava.version=20.0 -Dguava.version.upper=29.0

%install
%mvn_install

%files -f .mfiles
%license LICENSE
%doc README.md

%files maven -f .mfiles-maven

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Fri Aug 28 2020 Mat Booth <mat.booth@redhat.com> - 3.0.38-1
- Initial packaging of mylyn-wikitext


